
--# Css Styling

include GtkEngine.e

constant -- replace lined_paper with tartan or stripes for different backgrounds;
    win = create(GtkWindow,"name=lined_paper,title=Main Window,size=400x250,border=10"),
    panel = create(GtkBox,"orientation=VERTICAL"),
    lbl = create(GtkLabel),
    btnbox = create(GtkButtonBox),
    btn1 = create(GtkButton,"gtk-quit","Quit"),
    btn2 = create(GtkButton,"gtk-about",_("About")),
    css = create(GtkCssProvider,"resources/css_multiplebgs.css")

    set(lbl,"markup","Now is the time\nfor all good men\nto come to the aid\nof the country.")
    set(lbl,"font=Purisa 18,margin-left=100,margin-top=20")
    add(win,panel)
    add(panel,lbl)
    
    pack_end(panel,btnbox)
    add(btnbox,{btn1,btn2})

show_all(win)
main()

function About()
return Info(,,"CSS Generated Backgrounds",
    "<small>See resources/css_multiplebgs.css</small>")
end function
